JSONBOT(1)

NAME
jsb-irc - The JSONBOT IRC program

SYNOPSIS
jsb-irc is the IRC program build on the JSONBOT framework

DESCRIPTION

jsb-irc can connect to IRC network and join a channel, react on /msg and operate on /DCC CHAT connections. It supports SSL and ipv6.

USAGE

Usage: jsb-irc [options]

Options:
  --version show program's version number and exit
  -h, --help show this help message and exit
  -r PATH resume the bot from the folder specified
  -d DATADIR, --datadir=DATADIR
                        datadir of the bot
  -o OWNER, --owner=OWNER
                        owner of the bot
  -s SERVER, --server=SERVER
                        server to connect to (irc)
  -c CHANNEL, --channel=CHANNEL
                        channel to join
  -l LOGLEVEL, --loglevel=LOGLEVEL
                        loglevel of the bot
  -p PASSWORD, --password=PASSWORD
                        set password used to connect to the server
  --name=NAME bot's name
  --port=PORT set port of server to connect to
  --save save to config file
  -n NICK, --nick=NICK nick of the bot
  --ssl use ssl
  -y, --nossl don't use ssl
  -6, --ipv6 enable ipv6 bot

DOCUMENTATION
See http://jsonbot.org for more documentation or see http://jsonbot.googlecode.com

SEE ALSO
jsb(1), jsb-backup(1), jsb-init(1), jsb-xmpp(1), jsb-fleet(1), jsb-tornado(1), jsb-stop(1), jsb-udp(1), jsonbot(1)

AUTHOR
This manual page was written by Bart Thate <bthate@gmail.com>, for the Debian GNU/Linux system (but may be used by others).